Page MenuHomePhabricator

llvm.noalias - don't interfere with llvm.assume
AcceptedPublic

Authored by hfinkel on Apr 30 2015, 8:17 AM.

Details

Summary

This is part of the series started by D9375, and adds llvm.noalias to the list of intrinsics ignored when searching for relevant assumptions (it can be ignored because it can't trap, etc.).

Diff Detail

Event Timeline

hfinkel updated this revision to Diff 24713.Apr 30 2015, 8:17 AM
hfinkel retitled this revision from to llvm.noalias - don't interfere with llvm.assume.
hfinkel updated this object.
hfinkel edited the test plan for this revision. (Show Details)
hfinkel added reviewers: chandlerc, reames.
hfinkel added a subscriber: Unknown Object (MLST).
reames accepted this revision.May 12 2015, 10:53 AM
reames edited edge metadata.

LGTM. Two entirely optional comments, no further review needed.

lib/Analysis/ValueTracking.cpp
401

If you're touching this code anyways, please update the name to something more clear?

406

Is it time to common these two lists?

This revision is now accepted and ready to land.May 12 2015, 10:53 AM
hfinkel added inline comments.Jul 7 2016, 4:49 PM
lib/Analysis/ValueTracking.cpp
401

Suggestions for a better name?

406

Yes. I'll do that in a separate patch.

hfinkel updated this revision to Diff 63339.Jul 8 2016, 3:49 PM
hfinkel edited edge metadata.

Rebased.

majnemer accepted this revision.Jul 10 2016, 12:40 AM
majnemer added a reviewer: majnemer.
majnemer added a subscriber: majnemer.

LGTM

hfinkel updated this revision to Diff 73355.Oct 3 2016, 3:19 PM
hfinkel edited edge metadata.

Rebased

troyj added a subscriber: troyj.Aug 22 2018, 9:30 AM